export declare const attrsExt = ".attrs";
export declare const errAttrsExt: Error;
export type XAttrs = {
    CacheControl: string;
    ContentDisposition: string;
    ContentEncoding: string;
    ContentLanguage: string;
    ContentType: string;
    Metadata: Record<string, string>;
    MD5: Uint8Array;
};
export declare function setAttrs(path: string, attrs: XAttrs): void;
export declare function setAttrsAsync(path: string, attrs: XAttrs): Promise<void>;
export declare function getAttrs(path: string): XAttrs;
export declare function getAttrsAsync(path: string): Promise<XAttrs>;
